Loading...
Searching...
No Matches
msg_types.h File Reference

Types for messages and common headers. More...

`#include <sofia-sip/su_types.h>`
Include dependency graph for msg_types.h:

Go to the source code of this file.

## Data Structures

struct | msg_common_s
| Common part of the header objects (or message fragments). More...
struct | msg_pub_s
| Message object, common view. More...
struct | msg_numeric_s
| Numeric header. More...
struct | msg_generic_s
| Generic header. More...
struct | msg_list_s
| List header. More...
struct | msg_auth_s
| Authentication header. More...
struct | msg_auth_info_s
| Authentication-Info header. More...
struct | msg_unknown_s
| Unknown header. More...
struct | msg_error_s
| Erroneus header. More...
struct | msg_separator_s
| Separator. More...
struct | msg_payload_s
| Message payload. More...
union | msg_header_u
| Any header. More...
struct | msg_hclass_s
| Factory object for a header. More...

## Macros

#define | MSG_TYPES_H
| Defined when <sofia-sip/msg_types.h> has been included.
#define | MSG_TIME_MAX
| Latest time that can be expressed with msg_time_t.

## Typedefs

typedef struct msg_mclass_s | msg_mclass_t
| Message class.
typedef struct msg_hclass_s const | msg_hclass_t
| Header class.
typedef struct msg_href_s | msg_href_t
| Header reference.
typedef struct msg_s | msg_t
| Message object.
typedef MSG_PUB_T | msg_pub_t
| Public protocol-specific message structure for accessing the message.
typedef MSG_HDR_T | msg_header_t
| Any protocol-specific header object.
typedef struct msg_common_s | msg_common_t
| Common part of header.
typedef struct msg_separator_s | msg_separator_t
| The structure msg_separator_t contains representation of separator line between message headers and body.
typedef struct msg_payload_s | msg_payload_t
| The structure msg_payload_t contains representation of MIME message payload.
typedef struct msg_unknown_s | msg_unknown_t
| Type for unknown headers.
typedef struct msg_error_s | msg_error_t
| Type for erroneous headers.
typedef struct msg_list_s | msg_list_t
| Type for token list headers.

## Enumerations

enum | msg_header_kind_t { msg_kind_single , msg_kind_append , msg_kind_list , msg_kind_apndlist , msg_kind_prepend }
| Define how to handle existing headers when a new header is added to a message. More...

## Detailed Description

Types for messages and common headers.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Jan 23 15:43:17 2003 ppessi

## Typedef Documentation

## msg_common_t

typedef struct msg_common_s msg_common_t

Common part of header.

The msg_common_t is the base type of a message headers used by protocol parsers. Instead of msg_common_t, most interfaces use msg_header_t, which is supposed to be a union of all possible headers.

## msg_pub_t

typedef MSG_PUB_T msg_pub_t

Public protocol-specific message structure for accessing the message.

This type can be either sip_t, http_t, or msg_multipart_t, depending on the message. The base structure used by msg module is defined in struct msg_pub_s.

## msg_t

typedef struct msg_s msg_t

Message object.

The msg_t is the type of a message object used by Sofia signaling protocols and parsers. Its contents are not directly accessible.

## Enumeration Type Documentation

## msg_header_kind_t

enum msg_header_kind_t

Define how to handle existing headers when a new header is added to a message.

Enumerator
msg_kind_single | Only one header is allowed.
msg_kind_append | New header is appended.
msg_kind_list | A token list header, new header is combined with old one.
msg_kind_apndlist | A complex list header.
msg_kind_prepend | New header is prepended.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.